
local SamSet = SET_GROUP:New():FilterPrefixes("Red SAM"):FilterCoalitions("red"):FilterStart()

local myshorad = SHORAD:New("RedShorad", "Red SAM SHORAD", SamSet, 25000, 600, "red", false)
myshorad:SwitchHARMDefense(true)
myshorad:SwitchAGMDefense(true)
myshorad:SetDefenseLimits(85, 95)
local SEADGroupPrefixes = { "Red SAM" }
local seadDefenses = SEAD:New(SEADGroupPrefixes)
local mysamCaucacus = MANTIS:New("Mantis Caucacus", "Red SAM", "Red EWR", nil, "red", true, "Red EWR Awacs")
--mysamCaucacus:SetSAMRange(95)
mysamCaucacus:SetDetectInterval(10)
local ZoneTable_Mantis = SET_ZONE:New():FilterPrefixes("Scoot"):FilterStart()
mysamCaucacus:AddScootZones(ZoneTable_Mantis, 3, true, "Cone")
--mysamCaucacus:Debug(true)
mysamCaucacus:SetMaxActiveSAMs(3,2,2,6)
mysamCaucacus:AddShorad(myshorad, 720)
mysamCaucacus.autoshorad = false

mysamCaucacus:Start()


--[[
local mysampersiangolf = MANTIS:New("Sam PersianGulf","Red SAM","Red EWR",nil,"red",true,"Red EWR Awacs")
--mysampersiangolf:SetSAMRadius(UTILS.NMToMeters(40))
--mysampersiangolf:SetSAMRange(100)
mysampersiangolf:SetDetectInterval(10)
--mysampersiangolf:Debug(true) -- just to see what all of it does in the logs
mysampersiangolf:SetMaxActiveSAMs(3,2,2,6)
mysampersiangolf:Start()
--]]