BASE:I("CTLD : загружается.")

local my_ctld = CTLD:New(coalition.side.BLUE,{"CH.47", "UH.1H", "Hercules", "Mi.8M", "AH.64"},"Lufttransportbrigade I")
local herccargo = CTLD_HERCULES:New("blue", "Hercules Test", my_ctld)
my_ctld.useprefix = true
my_ctld.dropcratesanywhere = true
my_ctld.forcehoverload = false
my_ctld.enableHercules = true
my_ctld.HercMinAngels = 155 -- for troop/cargo drop via chute in meters, ca 470 ft
my_ctld.HercMaxAngels = 2000 -- for troop/cargo drop via chute in meters, ca 6000 ft
my_ctld.HercMaxSpeed = 77 -- 77mps or 270kph or 150kn
my_ctld.allowcratepickupagain = true
my_ctld.nobuildinloadzones = false
my_ctld.movecratesbeforebuild = true
my_ctld.movetroopstowpzone = true
my_ctld.enableChinhookGCLoading = true
my_ctld.hoverautoloading = false
my_ctld.enableslingload = true
my_ctld.pilotmustopendoors = true
my_ctld:__Start(10)
my_ctld.buildtime = 30
my_ctld.basetype = "ammo_cargo"

-- generate generically loadable stuff
my_ctld:AddTroopsCargo("Squad 8",{"ATS"},CTLD_CARGO.Enum.TROOPS,8,80) -- check
my_ctld:AddTroopsCargo("Platoon 16",{"Platon16"},CTLD_CARGO.Enum.TROOPS,16,80) -- check
my_ctld:AddTroopsCargo("Platoon 32",{"Platon1"},CTLD_CARGO.Enum.TROOPS,32,80) --check
my_ctld:AddTroopsCargo("Anti-Air Soldiers",{"AA"},CTLD_CARGO.Enum.TROOPS,5,80) -- check
my_ctld:AddTroopsCargo("Mortar Squad",{"MRS"},CTLD_CARGO.Enum.TROOPS,6,80) --check
my_ctld:AddCratesCargo("ATGM Humvee",{"ATGM HMMWV"},CTLD_CARGO.Enum.VEHICLE,2,200) --check
my_ctld:AddCratesCargo("HAWK Site",{"HAWKSite"},CTLD_CARGO.Enum.VEHICLE,4,2000) -- check
my_ctld:AddCratesCargo("Ammo Truck",{"AmmoTruck"},CTLD_CARGO.Enum.VEHICLE,2,800) --check
my_ctld:AddCratesCargo("Linebacker",{"Linebacker"},CTLD_CARGO.Enum.VEHICLE,3,100)
my_ctld:AddCratesCargo("Vulcan",{"Vulcan"}, CTLD_CARGO.Enum.VEHICLE, 2, 2500, nil, "SAM/AAA")


my_ctld:AddCratesCargo("FARP with ammo and fuel",{"FOB"},CTLD_CARGO.Enum.FOB,2,2500)


my_ctld:AddTroopsCargo("technician Solider ",{"Engineers"},CTLD_CARGO.Enum.ENGINEERS,1,80)
my_ctld:AddTroopsCargo("technician Humvee ",{"EngineersHMM"},CTLD_CARGO.Enum.ENGINEERS,1,500)


my_ctld:AddCTLDZone("DropZone",CTLD.CargoZoneType.DROP,SMOKECOLOR.Orange,true,false)


my_ctld:AddCTLDZone("LHA Tarawa",CTLD.CargoZoneType.SHIP,SMOKECOLOR.Blue,true,false,240,20)
my_ctld:AddCTLDZone("Batumi",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,true,false)
my_ctld:AddCTLDZone("Kobuleti",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Senaki",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Kutaisi",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Alpha",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Sukhumi",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Gudauta",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Sochi",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Bravo",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Charlie",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Delta",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Gelendzhik",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Novorossiysk",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Anapa",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Krymsk",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Echo",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Krasnodar-Center",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Krasnodar-Pashkovsky",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Foxtrot",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Maykop",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Golf",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Hotel",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("India",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Mineralnye",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Nalchik",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Mozdok",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Beslan",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Juliett",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Kilo",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Lima",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Soganlug",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Tbilisi",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)
my_ctld:AddCTLDZone("Vaziani",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,false,false)

my_ctld:AddCTLDZone("SAM-Alpha",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Bravo",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Charlie",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Delta",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Echo",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Foxtrot",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Golf",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Hotel",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-India",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Juliett",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Kilo",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Lima",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)
my_ctld:AddCTLDZone("SAM-Mike",CTLD.CargoZoneType.LOAD,SMOKECOLOR.Green,false,false)



my_ctld:AddCTLDZone("Batumi",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Kobuleti",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Senaki",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Kutaisi",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Alpha",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Sukhumi",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Gudauta",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Sochi",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Bravo",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Charlie",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Delta",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Gelendzhik",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Novorossiysk",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Anapa",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Krymsk",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Echo",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Krasnodar-Center",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Krasnodar-Pashkovsky",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Foxtrot",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Maykop",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Golf",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Hotel",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("India",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Mineralnye",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Nalchik",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Mozdok",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Beslan",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Juliett",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Kilo",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Lima",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Soganlug",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Tbilisi",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("Vaziani",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)

my_ctld:AddCTLDZone("SAM-Alpha",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Bravo",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Charlie",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Delta",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Echo",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Foxtrot",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Golf",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Hotel",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-India",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Juliett",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Kilo",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Lima",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)
my_ctld:AddCTLDZone("SAM-Mike",CTLD.CargoZoneType.MOVE,SMOKECOLOR.Green,true,false)



function addCTLDZonesForBlueControlled()

	if zones.batumi.wasBlue then
		my_ctld:ActivateZone("Batumi", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Batumi", CTLD.CargoZoneType.MOVE)
	end
	if zones.kobuleti.wasBlue then
		my_ctld:ActivateZone("Kobuleti", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Kobuleti", CTLD.CargoZoneType.MOVE)
	end
	if zones.senaki.wasBlue then
		my_ctld:ActivateZone("Senaki", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Senaki", CTLD.CargoZoneType.MOVE)
	end
	if  zones.kutaisi.wasBlue then
		my_ctld:ActivateZone("Kutaisi", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Kutaisi", CTLD.CargoZoneType.MOVE)
	end
	if zones.alpha.wasBlue then
		my_ctld:ActivateZone("Alpha", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Alpha", CTLD.CargoZoneType.MOVE)
	end
	if zones.sukhumi.wasBlue then
		my_ctld:ActivateZone("Sukhumi", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Sukhumi", CTLD.CargoZoneType.MOVE)
	end
	if zones.gudauta.wasBlue then
		my_ctld:ActivateZone("Gudauta", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Gudauta", CTLD.CargoZoneType.MOVE)
	end
	if zones.sochi.wasBlue then
		my_ctld:ActivateZone("Sochi", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Sochi", CTLD.CargoZoneType.MOVE)
	end
	if zones.bravo.wasBlue then
		my_ctld:ActivateZone("Bravo", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Bravo", CTLD.CargoZoneType.MOVE)
	end
	if zones.charlie.wasBlue then
		my_ctld:ActivateZone("Charlie", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Charlie", CTLD.CargoZoneType.MOVE)
	end
	if zones.delta.wasBlue then
		my_ctld:ActivateZone("Delta", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Delta", CTLD.CargoZoneType.MOVE)
	end
	if zones.gelendzhik.wasBlue then
		my_ctld:ActivateZone("Gelendzhik", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Gelendzhik", CTLD.CargoZoneType.MOVE)
	end
	if zones.novorossiysk.wasBlue then
		my_ctld:ActivateZone("Novorossiysk", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Novorossiysk", CTLD.CargoZoneType.MOVE)
	end
	if zones.anapa.wasBlue then
		my_ctld:ActivateZone("Anapa", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Anapa", CTLD.CargoZoneType.MOVE)
	end
	if zones.krymsk.wasBlue then
		my_ctld:ActivateZone("Krymsk", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Krymsk", CTLD.CargoZoneType.MOVE)
	end
	if zones.echo.wasBlue then
		my_ctld:ActivateZone("Echo", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Echo", CTLD.CargoZoneType.MOVE)
	end
	if zones.krasnodarc.wasBlue then
		my_ctld:ActivateZone("Krasnodar-Center", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Krasnodar-Center", CTLD.CargoZoneType.MOVE)
	end
	if zones.krasnodarp.wasBlue then
		my_ctld:ActivateZone("Krasnodar-Pashkovsky", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Krasnodar-Pashkovsky", CTLD.CargoZoneType.MOVE)
	end
	if zones.foxtrot.side == 2 or zones.foxtrot.wasBlue then
		my_ctld:ActivateZone("Foxtrot", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Foxtrot", CTLD.CargoZoneType.MOVE)
	end
	if zones.maykop.wasBlue then
		my_ctld:ActivateZone("Maykop", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Maykop", CTLD.CargoZoneType.MOVE)
	end
	if zones.golf.wasBlue then
		my_ctld:ActivateZone("Golf", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Golf", CTLD.CargoZoneType.MOVE)
	end
	if zones.hotel.wasBlue then
		my_ctld:ActivateZone("Hotel", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Hotel", CTLD.CargoZoneType.MOVE)
	end
	if zones.india.wasBlue then
		my_ctld:ActivateZone("India", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("India", CTLD.CargoZoneType.MOVE)
	end
	if zones.mineralnye.wasBlue then
		my_ctld:ActivateZone("Mineralnye", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Mineralnye", CTLD.CargoZoneType.MOVE)
	end
	if zones.nalchik.side == 2 or zones.nalchik.wasBlue then
		my_ctld:ActivateZone("Nalchik", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Nalchik", CTLD.CargoZoneType.MOVE)
	end
	if zones.mozdok.wasBlue then
		my_ctld:ActivateZone("Mozdok", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Mozdok", CTLD.CargoZoneType.MOVE)
	end
	if zones.beslan.wasBlue then
		my_ctld:ActivateZone("Beslan", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Beslan", CTLD.CargoZoneType.MOVE)
	end
	if zones.juliett.wasBlue then
		my_ctld:ActivateZone("Juliett", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Juliett", CTLD.CargoZoneType.MOVE)
	end
	if zones.kilo.wasBlue then
		my_ctld:ActivateZone("Kilo", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Kilo", CTLD.CargoZoneType.MOVE)
	end
	if zones.lima.wasBlue then
		my_ctld:ActivateZone("Lima", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Lima", CTLD.CargoZoneType.MOVE)
	end
	if zones.soganlug.wasBlue then
		my_ctld:ActivateZone("Soganlug", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Soganlug", CTLD.CargoZoneType.MOVE)
	end
	if zones.tbilisi.wasBlue then
		my_ctld:ActivateZone("Tbilisi", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Tbilisi", CTLD.CargoZoneType.MOVE)
	end
	if zones.vaziani.wasBlue then
		my_ctld:ActivateZone("Vaziani", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("Vaziani", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samalpha.wasBlue then
		my_ctld:ActivateZone("'SAM-Alpha", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("'SAM-Alpha", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.sambravo.wasBlue then
		my_ctld:ActivateZone("SAM-Bravo", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Bravo", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samcharlie.wasBlue then
		my_ctld:ActivateZone("SAM-Charlie", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Charlie", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samdelta.wasBlue then
		my_ctld:ActivateZone("SAM-Delta", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Delta", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samecho.wasBlue then
		my_ctld:ActivateZone("SAM-Echo", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Echo", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samfoxtrot.wasBlue then
		my_ctld:ActivateZone("SAM-Foxtrot", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Foxtrot", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samgolf.wasBlue then
		my_ctld:ActivateZone("SAM-Golf", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Golf", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samhotel.wasBlue then
		my_ctld:ActivateZone("SAM-Hotel", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Hotel", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samindia.wasBlue then
		my_ctld:ActivateZone("SAM-India", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-India", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samjuliett.wasBlue then
		my_ctld:ActivateZone("SAM-Juliett", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Juliett", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samkilo.wasBlue then
		my_ctld:ActivateZone("SAM-Kilo", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Kilo", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.samlima.wasBlue then
		my_ctld:ActivateZone("SAM-Lima", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Lima", CTLD.CargoZoneType.MOVE)
	end
	
	if zones.sammike.wasBlue then
		my_ctld:ActivateZone("SAM-Mike", CTLD.CargoZoneType.LOAD)
		my_ctld:DeactivateZone("SAM-Mike", CTLD.CargoZoneType.MOVE)
	end

end


local scheduler = SCHEDULER:New(nil, function()
    addCTLDZonesForBlueControlled()
end, {}, 5)

my_ctld:SetUnitCapabilities("SA342Mistral", false, true, 0, 2, 10, 400)
my_ctld:SetUnitCapabilities("SA342L", false, true, 0, 2, 10, 400)
my_ctld:SetUnitCapabilities("SA342M", false, true, 0, 2, 10, 400)
my_ctld:SetUnitCapabilities("SA342Minigun", false, true, 0, 2, 10, 400)
my_ctld:SetUnitCapabilities("UH-1H", true, true, 1, 8, 15, 800)
my_ctld:SetUnitCapabilities("Mi-8MT", true, true, 2, 16, 15, 2000)
my_ctld:SetUnitCapabilities("Mi-8MTV2", true, true, 2, 18, 15, 6000)
my_ctld:SetUnitCapabilities("Ka-50", false, false, 0, 0, 15, 400)
my_ctld:SetUnitCapabilities("Mi-24P", true, true, 2, 8, 15, 1000)
my_ctld:SetUnitCapabilities("Mi-24V", true, true, 2, 8, 15, 1000)
my_ctld:SetUnitCapabilities("Hercules", true, true, 8, 20, 15, 20000)
my_ctld:SetUnitCapabilities("UH-60L", true, true, 2, 16, 15, 2000)
my_ctld:SetUnitCapabilities("AH-64D_BLK_II", true, true, 0, 2, 15, 400)
my_ctld:SetUnitCapabilities("CH-47Fbl1", true, true, 5, 32, 20, 8000)




     local FARPFreq = 129
     local FARPName = 1  --numbers 1..10

     local FARPClearnames = {
       [1]="London",
       [2]="Dallas",
       [3]="Paris",
       [4]="Moscow",
       [5]="Berlin",
       [6]="Rome",
       [7]="Madrid",
       [8]="Warsaw",
       [9]="Dublin",
       [10]="Perth",
       }
		local BuiltFARPCoordinates = {}
     function BuildAFARP(Coordinate)
       local coord = Coordinate  --Core.Point#COORDINATE

       local FarpNameNumber = ((FARPName-1)%10)+1 -- make sure 11 becomes 1 etc
       local FName = FARPClearnames[FarpNameNumber] -- get clear namee

       FARPFreq = FARPFreq + 1
       FARPName = FARPName + 1

		
		
       FName = FName .. " FAT COW "..tostring(FARPFreq).."AM" -- make name unique
		
		table.insert(BuiltFARPCoordinates, {name = FName, coord = coord})
		
       -- Get a Zone for loading 
       local ZoneSpawn = ZONE_RADIUS:New("FARP "..FName,Coordinate:GetVec2(),150,false)

       -- Spawn a FARP with our little helper and fill it up with resources (10t fuel each type, 10 pieces of each known equipment)
       UTILS.SpawnFARPAndFunctionalStatics(FName,Coordinate,ENUMS.FARPType.INVISIBLE,my_ctld.coalition,country.id.USA,FarpNameNumber,FARPFreq,radio.modulation.AM,nil,nil,nil,1000,1000)

       -- add a loadzone to CTLD
       my_ctld:AddCTLDZone("FARP "..FName,CTLD.CargoZoneType.LOAD,SMOKECOLOR.Blue,true,true)
       local m  = MESSAGE:New(string.format("FARP %s in operation!",FName),15,"CTLD"):ToBlue() 
     end

     function my_ctld:OnAfterCratesBuild(From,Event,To,Group,Unit,Vehicle)
       local name = Vehicle:GetName()
       if string.find(name,"FOB",1,true) then
         local Coord = Vehicle:GetCoordinate()
         Vehicle:Destroy(false)
         BuildAFARP(Coord) 
       end
     end


local FarpFileName = "Foothold_CA_CTLD_FARPS.csv"

function SaveFARPS()
  local path = my_ctld.filepath
  local filename = FarpFileName
  local data = "FARP COORDINATES\n"
  
  for _,_coord in pairs(BuiltFARPCoordinates) do
    local FName = _coord.name -- This should now be the full name with "FAT COW" and frequency
    local coord = _coord.coord -- Core.Point#COORDINATE
    
    -- Debugging: Print FName to ensure it's the correct full name
    BASE:I("Searching for STATIC with name: " .. FName)
    
    local AFB = STATIC:FindByName(FName) -- This now correctly uses the full name
    
    if AFB and AFB:IsAlive() then
      local vec2 = coord:GetVec2() -- { x = self.x, y = self.z }
      data = data .. string.format("%f;%f;\n", vec2.x, vec2.y)
    end
  end
  
  if UTILS.SaveToFile(path, filename, data) then
    BASE:I("***** FARP Positions saved successfully!")
  else
    BASE:E("***** ERROR Saving FARP Positions!")
  end
end
 
function LoadFARPS()
  local path = my_ctld.filepath
  local filename = FarpFileName
  local okay,data = UTILS.LoadFromFile(path,filename)
  if okay then
    BASE:I("***** FARP Positions loaded successfully!")
    -- remove header
    table.remove(data, 1)
    for _,_entry in pairs(data) do
      local dataset = UTILS.Split(_entry,";")
      local x = tonumber(dataset[1])
      local y = tonumber(dataset[2])
      local coord = COORDINATE:NewFromVec2({x=x,y=y})
      BuildAFARP(coord)
    end
  else
    BASE:E("***** ERROR Loading FARP Positions!")
  end
end

local LoadFARPTimer = TIMER:New(LoadFARPS)
LoadFARPTimer:Start(5)

local SaveFARPTimer = TIMER:New(SaveFARPS)
SaveFARPTimer:Start(30,300)

-- Save Settings
my_ctld.enableLoadSave = true -- allow auto-saving and loading of files
    my_ctld.saveinterval = 600 -- save every 10 minutes
    my_ctld.filename = "FootHold_CA_CTLD_Save.csv" -- example filename
	my_ctld.filepath = lfs.writedir() .. "Missions\\Saves" -- example path
    my_ctld.eventoninject = true -- fire OnAfterCratesBuild and OnAfterTroopsDeployed events when loading (uses Inject functions)
    my_ctld.useprecisecoordloads = true -- Instead if slightly varyiing the group position, try to maintain it as is

my_ctld:__Load(10)

zoneMappings = {
    ["Batumi"] = "batumi",
    ["Kobuleti"] = "kobuleti",
    ["Senaki"] = "senaki",
    ["Kutaisi"] = "kutaisi",
    ["Sukhumi"] = "sukhumi",
    ["Gudauta"] = "gudauta",
    ["Sochi"] = "sochi",
    ["Gelendzhik"] = "gelendzhik",
    ["Novorossiysk"] = "novorossiysk",
    ["Anapa"] = "anapa",
    ["Krymsk"] = "krymsk",
    ["Krasnodar-Center"] = "krasnodarc",
    ["Krasnodar-Pashkovsky"] = "krasnodarp",
    ["Maykop"] = "maykop",
    ["Mineralnye"] = "mineralnye",
    ["Nalchik"] = "nalchik",
    ["Mozdok"] = "mozdok",
    ["Beslan"] = "beslan",
    ["Soganlug"] = "soganlug",
    ["Tbilisi"] = "tbilisi",
    ["Vaziani"] = "vaziani",
    ["Alpha"] = "alpha",
    ["Bravo"] = "bravo",
    ["Charlie"] = "charlie",
    ["Delta"] = "delta",
    ["Echo"] = "echo",
    ["Foxtrot"] = "foxtrot",
    ["Golf"] = "golf",
    ["Hotel"] = "hotel",
    ["India"] = "india",
    ["Juliett"] = "juliett",
    ["Kilo"] = "kilo",
    ["Lima"] = "lima",
    ["MiningFacility"] = "miningfacility",
    ["InsurgentCamp"] = "insurgentcamp",
    ["SecretTechFacility"] = "secrettechfacility",
    ["FuelDepo"] = "fueldepo",
    ["AmmonitionDepo"] = "ammonitiondepo",
    ["TankFactory"] = "tankfactory",
    ["ChemSite"] = "chemsite",
    ["ArtilleryFactory"] = "artilleryfactory",
    ["SAMSite"] = "samsite",
    ["SAM-Alpha"] = "samalpha",
    ["SAM-Bravo"] = "sambravo",
    ["SAM-Charlie"] = "samcharlie",
    ["SAM-Delta"] = "samdelta",
    ["SAM-Echo"] = "samecho",
    ["SAM-Foxtrot"] = "samfoxtrot",
    ["SAM-Golf"] = "samgolf",
    ["SAM-Hotel"] = "samhotel",
    ["SAM-India"] = "samindia",
    ["SAM-Juliett"] = "samjuliett",
    ["SAM-Kilo"] = "samkilo",
    ["SAM-Lima"] = "samlima",
    ["SAM-Mike"] = "sammike"
}

zoneSet = SET_ZONE:New()
for missionZoneName, _ in pairs(zoneMappings) do
    zoneSet:AddZone(ZONE:New(missionZoneName))
end

function getZoneByName(zoneName)
    return zoneMappings[zoneName]
end


zoneCaptureInfo = {}
deployedTroops = {}
function my_ctld:OnAfterTroopsDeployed(From, Event, To, Group, Unit, Troops)
    local troopGroup = Troops
    if troopGroup and troopGroup:IsAlive() then
        local troopGroupName = troopGroup:GetName()

        deployedTroops[troopGroupName] = troopGroup
        zoneSet:Trigger(Troops)

        local currentZones = {}

        for missionZoneName, alias in pairs(zoneMappings) do
            local zone = ZONE:FindByName(missionZoneName)
            if troopGroup:IsPartlyOrCompletelyInZone(zone) then
                local zoneName = zone:GetName()
                local mappedZoneName = alias
                table.insert(currentZones, {zoneName = zoneName, mappedZoneName = mappedZoneName, zoneObject = zones[alias]})
            end
        end

        for i, zoneData in ipairs(currentZones) do
            local currentZone = zoneData.zoneObject
            local zoneName = zoneData.zoneName
            local mappedZoneName = zoneData.mappedZoneName

            if currentZone then
                if currentZone.side == 2 then
                    zoneCaptureInfo[troopGroupName] = { troopGroup = troopGroup, mappedZoneName = mappedZoneName, zoneName = zoneName }

                    timer.scheduleFunction(function()
                        CaptureZoneIfNeutral()
                    end, {}, timer.getTime() + 2)
                    
                    return
                end

                if currentZone.side == 1 then
                    zoneCaptureInfo[troopGroupName] = { troopGroup = troopGroup, mappedZoneName = mappedZoneName, zoneName = zoneName }
                    return
                end

                if currentZone.side == 0 then
                    zoneCaptureInfo[troopGroupName] = { troopGroup = troopGroup, mappedZoneName = mappedZoneName, zoneName = zoneName }

                    timer.scheduleFunction(function()
                        CaptureZoneIfNeutral()
                    end, {}, timer.getTime() + 2)
                end
            end
        end
    end
end


function zoneSet:OnAfterEnteredZone(From, Event, To, EnteredGroup, Zone)
    local troopGroup = EnteredGroup
    if troopGroup and troopGroup:IsAlive() then
        local troopGroupName = troopGroup:GetName()
        local zoneName = Zone:GetName()

        local mappedZoneName = getZoneByName(zoneName)
        local currentZone = zones[mappedZoneName]

        if currentZone and currentZone.side == 2 then
            zoneCaptureInfo[troopGroupName] = { troopGroup = troopGroup, mappedZoneName = mappedZoneName, zoneName = zoneName }

            timer.scheduleFunction(function()
                CaptureZoneIfNeutral()
            end, {}, timer.getTime() + 2)
            
            return
        end

        if currentZone and currentZone.side == 1 then
            zoneCaptureInfo[troopGroupName] = { troopGroup = troopGroup, mappedZoneName = mappedZoneName, zoneName = zoneName }
            return
        end

        if currentZone and currentZone.side == 0 then
            zoneCaptureInfo[troopGroupName] = { troopGroup = troopGroup, mappedZoneName = mappedZoneName, zoneName = zoneName }

            timer.scheduleFunction(function()
                CaptureZoneIfNeutral()
            end, {}, timer.getTime() + 2)
        end
    end
end

function CaptureZoneIfNeutral()
    if next(zoneCaptureInfo) == nil then
        return
    end

    for troopGroupName, captureData in pairs(zoneCaptureInfo) do
        if captureData then
            local mappedZoneName = captureData.mappedZoneName
            local zoneName = captureData.zoneName
            local troopGroup = captureData.troopGroup

            local currentZone = zones[mappedZoneName]
            local captureZone = ZONE:FindByName(zoneName)

            if not currentZone then
                return
            end

            if troopGroup and troopGroup:IsAlive() then
                if currentZone.side == 0 then
                    currentZone:capture(2)
                    troopGroup:Destroy()
                    zoneCaptureInfo[troopGroupName] = nil

                    local captureCurrentZone = currentZone
                    local groupsInZone = {}

                    for deployedGroupName, deployedGroup in pairs(deployedTroops) do
                        if deployedGroup and deployedGroup:IsAlive() and deployedGroup:IsPartlyOrCompletelyInZone(captureZone) then
                            table.insert(groupsInZone, {name = deployedGroupName, group = deployedGroup})
                        end
                    end

                    local function processNextGroup(index)
                        if index <= #groupsInZone then
                            local groupToDestroyData = groupsInZone[index]
                            local groupToDestroy = groupToDestroyData.group
                            local deployedGroupName = groupToDestroyData.name

                            if captureCurrentZone.side == 2 and groupToDestroy:IsAlive() and groupToDestroy:IsPartlyOrCompletelyInZone(captureZone) then
                                captureCurrentZone:upgrade()
                                groupToDestroy:Destroy()
                                deployedTroops[deployedGroupName] = nil
                            end

                            timer.scheduleFunction(function()
                                processNextGroup(index + 1)
                            end, {}, timer.getTime() + 5)
                        else
                            zoneCaptureInfo[troopGroupName] = nil
                        end
                    end

                    timer.scheduleFunction(function()
                        processNextGroup(1)
                    end, {}, timer.getTime() + 5)
                end
            end
        end
    end
end

BASE:I("CTLD скрипт инициализирован")