
BASE:I("Проверка зон на статичность")


function DestroyStatic()
    local function destroyStaticIfAlive(staticName)
        local static = STATIC:FindByName(staticName, false)
        if static and static:IsAlive() then
            static:Destroy(true)
            
        end
    end

    if zones.ammonitiondepo and zones.ammonitiondepo.active == false then
        for _, staticName in ipairs({"AmmonitionDepo1", "AmmonitionDepo2", "AmmonitionDepo3", "AmmonitionDepo4"}) do
            destroyStaticIfAlive(staticName)
        end
    end

    if zones.insurgentcamp and zones.insurgentcamp.active == false then
        destroyStaticIfAlive("InsurgentCamp")
    end

    if zones.miningfacility and zones.miningfacility.active == false then
		for _, staticName in ipairs({"MiningFacility", "MiningFacility-2", "Static M92 Sandbag 04-1", "Static M92 HESCO generator-1", "Static Ka-50 III-1", "Static Ka-50 III-2", 
		"Static Mi-24P-1", "Static Mi-24P-2"}) do
			destroyStaticIfAlive(staticName)
		end
	end

    if zones.fueldepo and zones.fueldepo.active == false then
        for _, staticName in ipairs({"FuelDepo1", "FuelDepo2", "FuelDepo3", "FuelDepo4", "FuelDepo5", "FuelDepo6"}) do
            destroyStaticIfAlive(staticName)
        end
    end

    if zones.tankfactory and zones.tankfactory.active == false then
        for _, staticName in ipairs({"TankFactory1", "TankFactory2", "TankFactory3", "TankFactory4"}) do
            destroyStaticIfAlive(staticName)
        end
    end

    if zones.chemsite and zones.chemsite.active == false then
        for _, staticName in ipairs({"ChemSite1", "ChemSite2"}) do
            destroyStaticIfAlive(staticName)
        end
    end

    if zones.artilleryfactory and zones.artilleryfactory.active == false then
        for _, staticName in ipairs({"ArtilleryFactory1", "ArtilleryFactory2", "ArtilleryFactory3", "ArtilleryFactory4"}) do
            destroyStaticIfAlive(staticName)
        end
    end

    if zones.secrettechfacility and zones.secrettechfacility.active == false then
        for _, staticName in ipairs({"SecretTechFacility1", "SecretTechFacility2"}) do
            destroyStaticIfAlive(staticName)
        end
    end
end

DestroyStatic()

BASE:I("Проверка зон завершена.")
