options = {
	["VR"] = {
		["bloom"] = true,
		["box_mouse_cursor"] = true,
		["custom_IPD"] = 63.5,
		["custom_IPD_enable"] = false,
		["enable"] = false,
		["enableHMDMask"] = true,
		["handOffsetX"] = 0,
		["handOffsetY"] = 0,
		["handOffsetZ"] = 0,
		["hand_controllers"] = true,
		["hand_controllers_debug_draw"] = false,
		["hand_controllers_joint_throttle"] = true,
		["hand_controllers_type"] = 0,
		["hand_controllers_use_stick"] = true,
		["hand_controllers_use_throttle"] = true,
		["interaction_with_grip_only"] = false,
		["mirror_crop"] = false,
		["mirror_source"] = 0,
		["mirror_use_DCS_resolution"] = false,
		["msaaMaskSize"] = 0.42,
		["openxr_eyeGaze"] = false,
		["openxr_quadView"] = false,
		["pixel_density"] = 1,
		["pointer_use_type"] = 0,
		["prefer_built_in_audio"] = true,
		["use_mouse"] = true,
	},
	["difficulty"] = {
		["RBDAI"] = true,
		["autoTrimmer"] = false,
		["avionicsLanguage"] = "native",
		["birds"] = 0,
		["cockpitStatusBarAllowed"] = false,
		["cockpitVisualRM"] = false,
		["controlsIndicator"] = true,
		["easyCommunication"] = true,
		["easyCrew"] = false,
		["easyFlight"] = false,
		["externalViews"] = true,
		["fuel"] = false,
		["gWarmUp"] = false,
		["geffect"] = "realistic",
		["hideStick"] = false,
		["iconsTheme"] = "russian",
		["immortal"] = false,
		["improvedSpottingDot"] = true,
		["labels"] = 1,
		["map"] = true,
		["miniHUD"] = false,
		["optionsView"] = "optview_all",
		["padlock"] = true,
		["permitCrash"] = true,
		["radio"] = true,
		["reports"] = true,
		["setGlobal"] = true,
		["spectatorExternalViews"] = true,
		["tips"] = true,
		["units"] = "metric",
		["unrestrictedSATNAV"] = true,
		["userMarks"] = true,
		["userSnapView"] = true,
		["wakeTurbulence"] = true,
		["weapons"] = false,
	},
	["format"] = 1,
	["graphics"] = {
		["AA"] = "DLAA",
		["BlurFlatShadows"] = 0,
		["ColorGradingLUT"] = 0,
		["DLSS_PerfQuality"] = 3,
		["DOF"] = 0,
		["LODmult"] = 1,
		["LensEffects"] = 3,
		["MSAA"] = 2,
		["SSAO"] = 0,
		["SSLR"] = 1,
		["SSS"] = 1,
		["Scaling"] = 0.72,
		["ScreenshotExt"] = "png",
		["Sharpening"] = 0.72,
		["Upscaling"] = "OFF",
		["anisotropy"] = 4,
		["aspect"] = 1.3333333333333,
		["box_mouse_cursor"] = true,
		["canopyReflections"] = 1,
		["chimneySmokeDensity"] = 5,
		["civTraffic"] = "",
		["clouds"] = 1,
		["clutterMaxDistance"] = 1000,
		["cockpitGI"] = 1,
		["defaultFOV"] = 92,
		["effects"] = 3,
		["flatTerrainShadows"] = 1,
		["forestDetailsFactor"] = 1,
		["forestDistanceFactor"] = 1,
		["fullScreen"] = false,
		["heatBlr"] = 1,
		["height"] = 1080,
		["lights"] = 2,
		["maxFPS"] = 60,
		["messagesFontScale"] = 1.25,
		["motionBlur"] = 0,
		["motionBlurAmount"] = 1,
		["multiMonitorSetup"] = "1camera",
		["outputGamma"] = 2.2,
		["preloadRadius"] = 65200,
		["rainDroplets"] = 2,
		["scaleGui"] = 1.5,
		["sceneryDetailsFactor"] = 1,
		["secondaryShadows"] = 0,
		["shadowTree"] = false,
		["shadows"] = 4,
		["sync"] = true,
		["terrainTextures"] = "max",
		["textures"] = 2,
		["useDeferredShading"] = 1,
		["visibRange"] = "Ultra",
		["water"] = 0,
		["width"] = 2560,
	},
	["miscellaneous"] = {
		["Coordinate_Display"] = "Lat Long",
		["F2_view_effects"] = 1,
		["TrackIR_external_views"] = true,
		["accidental_failures"] = false,
		["allow_server_screenshots"] = true,
		["autologin"] = true,
		["backup"] = false,
		["backupTime"] = 5,
		["chat_window_at_start"] = true,
		["collect_stat"] = true,
		["f10_awacs"] = true,
		["f11_free_camera"] = true,
		["f5_nearest_ac"] = true,
		["force_feedback_enabled"] = false,
		["headmove"] = false,
		["launcher"] = true,
		["show_pilot_body"] = false,
		["synchronize_controls"] = false,
	},
	["plugins"] = {
		["A-10A"] = {
			["CPLocalList"] = "default",
		},
		["A-10C"] = {
			["CPLocalList"] = "default",
			["GUNPAC_Air"] = 0.2,
			["GUNPAC_Cold"] = 0.1,
			["GUNPAC_Hot"] = 0.1,
			["GUNPAC_Runway"] = 0.1,
			["throttleSlewMaverick"] = 5,
			["throttleSlewTGP"] = 5,
		},
		["A-10C_2"] = {
			["CPLocalList"] = "aged",
			["GUNPAC_Air"] = 0.2,
			["GUNPAC_Cold"] = 0.1,
			["GUNPAC_Hot"] = 0.1,
			["GUNPAC_Runway"] = 0.1,
			["defaultGunMode"] = 0,
			["hmdEye"] = 1,
			["throttleSlewMaverick"] = 5,
			["throttleSlewTGP"] = 5,
		},
		["AH-64D_BLK_II"] = {
			["AH64AIColorScheme"] = 0,
			["AH64AutoHandover"] = true,
			["AH64BalaclavaCPG"] = true,
			["AH64BalaclavaPLT"] = true,
			["AH64CockpitShake"] = 50,
			["AH64CyclicTrimmingMethod"] = 0,
			["AH64HmdEye"] = 1,
			["AH64IhadssMonocleVisible"] = false,
			["AH64LockoutDetent"] = 1,
			["AH64ManTrkRampUpSpeed"] = 5,
			["AH64PedalsTrimmingMethod"] = 0,
			["AH64TriggerGuardEnable"] = true,
			["CPLocalList"] = "default",
		},
		["AJS37"] = {
			["CK37REFCodeSel"] = 0,
			["CPLocalList"] = "default",
		},
		["Bf-109K-4"] = {
			["CPLocalList"] = "default",
			["aileronTrim"] = 0,
			["assistance"] = 100,
			["autoRudder"] = false,
			["cameraOrigin"] = 0,
			["rudderTrim"] = 0,
		},
		["CA"] = {
			["automatic_clutch"] = true,
			["ground_aim_helper"] = true,
			["ground_automatic"] = true,
			["ground_engine_autostart"] = true,
			["ground_isometric"] = true,
			["ground_platform_shake"] = true,
			["ground_target_info"] = true,
			["kompass_options"] = 1,
		},
		["CH-47F"] = {
			["CPLocalList"] = "default",
			["collectiveBrake"] = 0,
			["eclDetent"] = 0,
			["gunnerAim"] = 0,
			["trimmingMethod"] = 0,
		},
		["CaptoGlove"] = {
			["armBending"] = 60,
			["enable"] = false,
			["fingerIndexBentLeft"] = "0",
			["fingerIndexBentRight"] = "0",
			["fingerIndexStraightLeft"] = "1000",
			["fingerIndexStraightRight"] = "1000",
			["fingerMiddleBentLeft"] = "0",
			["fingerMiddleBentRight"] = "0",
			["fingerMiddleStraightLeft"] = "1000",
			["fingerMiddleStraightRight"] = "1000",
			["fingerPinkyBentLeft"] = "0",
			["fingerPinkyBentRight"] = "0",
			["fingerPinkyStraightLeft"] = "1000",
			["fingerPinkyStraightRight"] = "1000",
			["fingerRingBentLeft"] = "0",
			["fingerRingBentRight"] = "0",
			["fingerRingStraightLeft"] = "1000",
			["fingerRingStraightRight"] = "1000",
			["fingerThumbBentLeft"] = "0",
			["fingerThumbBentRight"] = "0",
			["fingerThumbStraightLeft"] = "1000",
			["fingerThumbStraightRight"] = "1000",
			["forearmLength_Left"] = 30,
			["forearmLength_Right"] = 30,
			["gloveOffsetX_Left"] = 0,
			["gloveOffsetX_Right"] = 0,
			["gloveOffsetY_Left"] = 0,
			["gloveOffsetY_Right"] = 0,
			["gloveOffsetZ_Left"] = 0,
			["gloveOffsetZ_Right"] = 0,
			["gloveRotationPitch_Left"] = 0,
			["gloveRotationPitch_Right"] = 0,
			["gloveRotationRoll_Left"] = 0,
			["gloveRotationRoll_Right"] = 0,
			["gloveRotationYaw_Left"] = 0,
			["gloveRotationYaw_Right"] = 0,
			["mouseClickSrc"] = 0,
			["pitchOffsetGlove_Left"] = 0,
			["pitchOffsetGlove_Right"] = 0,
			["pitchOffsetShoulder_Left"] = 0,
			["pitchOffsetShoulder_Right"] = 0,
			["set_attach"] = false,
			["set_debug"] = false,
			["set_symmetrically"] = false,
			["shoulderJointX_Left"] = -15,
			["shoulderJointX_Right"] = -15,
			["shoulderJointY_Left"] = -23,
			["shoulderJointY_Right"] = -23,
			["shoulderJointZ_Left"] = 23,
			["shoulderJointZ_Right"] = 23,
			["shoulderLength_Left"] = 40,
			["shoulderLength_Right"] = 40,
			["trackerHMDnameLeft"] = "DISABLE",
			["trackerHMDnameRight"] = "DISABLE",
			["useBending"] = false,
			["useHMDControl"] = false,
			["yawOffsetGlove_Left"] = 0,
			["yawOffsetGlove_Right"] = 0,
			["yawOffsetShoulder_Left"] = 0,
			["yawOffsetShoulder_Right"] = 0,
		},
		["DSMC"] = {
			["ATRL"] = true,
			["ATRL_time"] = 1,
			["CRST"] = true,
			["CTLD1"] = true,
			["CTLD2"] = true,
			["DCSR"] = true,
			["DEBUG"] = false,
			["EXCL_var"] = 0,
			["RF10"] = false,
			["S247"] = false,
			["S247_time"] = 6,
			["SPWN"] = true,
			["TMUP_cont"] = true,
			["TMUP_max"] = 4,
			["TMUP_min"] = 0,
			["TMUP_opt"] = 2,
			["WRHS"] = true,
			["WTHR"] = true,
			["WTHRfog"] = false,
		},
		["F-15C"] = {
			["CPLocalList"] = "default",
		},
		["F-15ESE"] = {
			["CPLocalList"] = "default",
			["FF_PITCH_GAIN"] = 65,
			["FF_ROLL_GAIN"] = 65,
			["FF_TRIM_OFFSET"] = true,
			["GHOST_CONTROLS"] = false,
			["LINEAR_STICK"] = false,
			["LOW_END_TEXT"] = false,
			["MONITOR_EYEPOINT_OFFSET"] = 0,
			["RADALT_ADVANCED"] = false,
			["RADAR_MAX_CORES"] = 4,
			["RADAR_SAR_SCINTILLATION"] = true,
			["RAND_RDR_CHANNEL"] = false,
			["THROTTLE_AB_DETENT"] = 75,
			["THROTTLE_CO_DETENT"] = 10,
			["VR_EYEPOINT_OFFSET"] = 8,
		},
		["F-16C"] = {
			["CPLocalList"] = "default",
			["abDetent"] = 0,
			["canopyReflections"] = 0,
			["canopyTint"] = 1,
			["hmdEye"] = 1,
			["mfdReflections"] = 0,
			["pitchDeadzoneValue"] = 4.375,
			["pitchForceStickGradient"] = 1,
			["rollDeadzoneValue"] = 5.9,
			["rollForceStickGradient"] = 1,
		},
		["F-5E-3_FC"] = {
			["CPLocalList"] = "default",
			["JoystickMode"] = 0,
		},
		["F-86F_FC"] = {
			["CPLocalList"] = "default",
			["NoseWheelSteeringSimpleBehaviourF86"] = true,
			["landSeatAdjustF86"] = true,
		},
		["F/A-18C"] = {
			["CPLocalList"] = "default",
			["F18RealisticTDC"] = true,
			["abDetent"] = 0,
			["canopyReflections"] = 0,
			["hmdEye"] = 1,
			["mfdReflections"] = 0,
		},
		["FC3"] = {
			["CPLocalList_A-10A"] = "default",
			["CPLocalList_F-15C"] = "default",
			["CPLocalList_J-11A"] = "default",
			["CPLocalList_MiG-29A"] = "default",
			["CPLocalList_MiG-29G"] = "default",
			["CPLocalList_MiG-29S"] = "default",
			["CPLocalList_Su-25"] = "default",
			["CPLocalList_Su-27"] = "default",
			["CPLocalList_Su-33"] = "default",
		},
		["Ka-50"] = {
			["CPLocalList"] = "default",
			["Ka50RudderTrimmer"] = true,
			["Ka50TrimmingMethod"] = 1,
			["helmetCircleDisplacement"] = 11,
			["hmdEye"] = 1,
		},
		["Ka-50_3"] = {
			["CPLocalList"] = "default",
			["Ka50PedalsYawReqReset"] = false,
			["Ka50RudderTrimmer"] = true,
			["Ka50TrimmingMethod"] = 1,
			["Ka52TrimmingMethod"] = 0,
			["helmetCircleDisplacement"] = 11,
			["hmdEye"] = 2,
		},
		["Mi-24P"] = {
			["Aiming_mark"] = false,
			["CPLocalList"] = "default",
			["Mi24AIColorScheme"] = 1,
			["Mi24AIHideBoxes"] = false,
			["Mi24AIVoiceLanguage"] = 3,
			["Mi24AutoHandover"] = true,
			["Mi24CockpitShake"] = 16,
			["Mi24PedalsAutoMove"] = false,
			["Mi24PedalsInputSensitivity"] = 24,
			["Mi24PedalsMicroswitchLogic"] = 1,
			["Mi24PedalsTrimButton"] = 1,
			["Mi24PedalsTrimMode"] = 1,
			["Mi24StickTrimMethod"] = 0,
			["SPOVolume"] = 100,
			["collectiveBrake"] = 0,
			["collectiveDisengage"] = 1,
			["controlHelperMi24"] = false,
			["weapTooltipsMi24"] = false,
		},
		["Mi-8MTV2"] = {
			["CPLocalList"] = "default",
			["Mi8AutopilotAdjustment"] = true,
			["Mi8CockpitShake"] = 5,
			["Mi8FOV"] = 110,
			["Mi8RudderTrimmer"] = false,
			["Mi8TrimmingMethod"] = 0,
			["collectiveBrake"] = 0,
			["collectiveDisengage"] = 1,
			["controlHelperMi8"] = true,
			["gunCamera"] = 2,
		},
		["MiG-15bis_FC"] = {
			["CPLocalList"] = "default",
			["autoLeanToAimMiG15"] = true,
		},
		["MiG-21Bis"] = {
			["CPLocalList"] = "default",
			["Engine"] = false,
			["Experimental"] = false,
			["Freeze"] = false,
			["Pitot"] = false,
			["Reticle"] = false,
			["Shake"] = 100,
		},
		["MiG-29"] = {
			["CPLocalList_MiG-29A"] = "default",
			["CPLocalList_MiG-29G"] = "default",
			["CPLocalList_MiG-29S"] = "default",
		},
		["NS430"] = {
			["CEII_3D_enabled"] = true,
			["CEII_enabled"] = true,
			["SpitfireLFMkIXCW_enabled"] = true,
			["SpitfireLFMkIX_enabled"] = true,
			["a10a_enabled"] = true,
			["ajs37_enabled"] = true,
			["av8b_enabled"] = true,
			["bf109k4_enabled"] = true,
			["c101cc_3D_enabled"] = true,
			["c101cc_common_enabled"] = true,
			["c101eb_3D_enabled"] = true,
			["c101eb_common_enabled"] = true,
			["f14b_enabled"] = true,
			["f15c_enabled"] = true,
			["f5e3_enabled"] = true,
			["f86f_enabled"] = true,
			["fw190d9_enabled"] = true,
			["i16_enabled"] = true,
			["j11a_enabled"] = true,
			["jf17_enabled"] = true,
			["l39c_3D_enabled"] = true,
			["l39c_common_enabled"] = true,
			["l39za_enabled"] = true,
			["mi24p_enabled"] = true,
			["mi8_3D_enabled"] = true,
			["mi8_common_enabled"] = true,
			["mig15bis_enabled"] = true,
			["mig21bis_enabled"] = true,
			["mig29a_enabled"] = true,
			["mig29g_enabled"] = true,
			["mig29s_enabled"] = true,
			["miraj_enabled"] = true,
			["p51d_enabled"] = true,
			["sa342_3D_enabled"] = true,
			["sa342_enabled"] = true,
			["su25_enabled"] = true,
			["su25t_enabled"] = true,
			["su27_enabled"] = true,
			["su33_enabled"] = true,
			["tf51d_enabled"] = true,
			["uh1h_enabled"] = true,
			["yak52_enabled"] = true,
		},
		["SA342"] = {
			["CPLocalList"] = "default",
			["CPLocalListL"] = "default",
			["CPLocalListMG"] = "default",
			["ControlsDisplayLocation"] = 0,
			["CyclicTrimType"] = 1,
			["EngineBreak"] = true,
			["FFB_TOGGLE"] = false,
			["HOT_MIC"] = false,
			["MINIGUN_JOY"] = false,
			["MiniStick"] = true,
			["PedalTrimType"] = 0,
			["PreloadWaypoints"] = true,
			["StickPitchCurve"] = 0,
			["StickRollCurve"] = 0,
			["VR_DECOUPLE"] = false,
			["VibrationRate"] = 100,
		},
		["Su-25"] = {
			["CPLocalList"] = "default",
		},
		["Su-25T"] = {
			["CPLocalList"] = "default",
		},
		["Su-27"] = {
			["CPLocalList"] = "default",
		},
		["Su-33"] = {
			["CPLocalList"] = "default",
		},
		["Su-34"] = {
		},
		["Supercarrier"] = {
			["Use_native_ATC_text"] = false,
			["enable_FLOLS_overlay"] = true,
		},
		["TF-51D"] = {
			["CPLocalList"] = "default",
			["assistance"] = 100,
			["autoRudder"] = false,
		},
		["Tacview"] = {
			["tacviewAutoDiscardFlights"] = 10,
			["tacviewBookmarkShortcut"] = 0,
			["tacviewDebugMode"] = 0,
			["tacviewExportPath"] = "",
			["tacviewFlightDataRecordingEnabled"] = true,
			["tacviewModuleEnabled"] = true,
			["tacviewMultiplayerFlightsAsClient"] = 2,
			["tacviewMultiplayerFlightsAsHost"] = 2,
			["tacviewPlaybackDelay"] = 600,
			["tacviewRealTimeTelemetryEnabled"] = true,
			["tacviewRealTimeTelemetryPassword"] = "",
			["tacviewRealTimeTelemetryPort"] = "42674",
			["tacviewRemoteControlEnabled"] = false,
			["tacviewRemoteControlPassword"] = "",
			["tacviewRemoteControlPort"] = "42675",
			["tacviewSinglePlayerFlights"] = 2,
			["tacviewTerrainExport"] = 0,
		},
		["UH-1H"] = {
			["CPLocalList"] = "default",
			["UH1HCockpitShake"] = 50,
			["UHRudderTrimmer"] = true,
			["UHTrimmingMethod"] = 1,
			["autoPilot"] = true,
			["weapTooltips"] = true,
		},
		["UltraLeap"] = {
			["enable"] = false,
			["handOffsetX"] = 0,
			["handOffsetY"] = 0,
			["handOffsetZ"] = 0,
			["handUseStick"] = false,
			["handUseThrottle"] = false,
			["mouseClickSrc"] = 0,
			["set_debug"] = false,
		},
		["VRFree"] = {
			["enable"] = false,
			["handUseStick"] = false,
			["handUseThrottle"] = false,
			["mouseClickSrc"] = 0,
			["set_debug"] = false,
		},
	},
	["sound"] = {
		["FakeAfterburner"] = false,
		["GBreathEffect"] = true,
		["cockpit"] = 38,
		["gui"] = 100,
		["headphones"] = 100,
		["headphones_on_external_views"] = true,
		["hear_in_helmet"] = true,
		["hp_output"] = "",
		["main_layout"] = "suround_7_1",
		["main_output"] = "",
		["microphone_use"] = 0,
		["music"] = 0,
		["play_audio_while_minimized"] = false,
		["radioSpeech"] = true,
		["subtitles"] = true,
		["switches"] = 300,
		["use_turn_servers"] = true,
		["voiceChatInSensitivity"] = -77,
		["voiceChatInVolume"] = 100,
		["voice_chat"] = true,
		["voice_chat_input"] = "{0.0.1.00000000}.{8863f5b0-d50a-42e5-aaaa-9d35d9a9a51c}",
		["voice_chat_output"] = "",
		["volume"] = 73,
		["world"] = 29,
	},
	["views"] = {
		["cockpit"] = {
			["avionics"] = 3,
			["mirrors"] = false,
			["reflections"] = true,
		},
	},
}
